## org.jCharts.test
Class ScatterPlotTestDriver

    java.lang.Object
      org.jCharts.test.ScatterChartTestBase
          org.jCharts.test.ScatterPlotTestDriver

    public class ScatterPlotTestDriver

extends ScatterChartTestBase

This file provides examples of how to create all the different chart types provided by this package.

Constructor Summary
`ScatterPlotTestDriver()`

Method Summary
`private ScatterPlotDataSet` `createScatterPlotDataSet(int numberOfDataSets, int numberOfValuesToCreate, int xMinValue, int xMaxValue, int yMinValue, int yMaxValue)` Generates a random MultiDataSet
`(package private) ScatterPlotDataSeries` `getDataSeries()`
`private ScatterPlotProperties` `getScatterPlotProperties(int numberOfDataSets)` Separate this so can use for combo chart test

`static void`

`main(String[] args)`
DataSeries getDataSeries() throws ChartDataException { String[] xAxisLabels={"1", "2", "3", "4", "5"}; DataSeries dataSeries=new DataSeries( xAxisLabels, "numbers", "numbers", "Bug #559177" ); AxisChartDataSet axisChartDataSet; double[][] data={{1, 2, 3, 4, 5}, {7, 8, Double.NaN, Double.NaN, Double.NaN}, {Double.NaN, Double.NaN, Double.NaN, Double.NaN, 2}}; String[] legendLabels={"set 1", "set 2", "set 3"}; Paint[] paints={Color.blue, Color.red, Color.green}; axisChartDataSet=new AxisChartDataSet( data, legendLabels, paints, ChartType.LINE, this.getChartTypeProperties( 3 ) ); dataSeries.addIAxisPlotDataSet( axisChartDataSet ); return dataSeries; }

`(package private) boolean` `supportsImageMap()`

Methods inherited from class org.jCharts.test.ScatterChartTestBase
`axisChartTest, createAxisChartDataSet, createDataSeries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScatterPlotTestDriver

    public ScatterPlotTestDriver()

Method Detail

### supportsImageMap

    boolean supportsImageMap()

  Specified by:
    `supportsImageMap` in class `ScatterChartTestBase`

### getScatterPlotProperties

    private ScatterPlotProperties getScatterPlotProperties(int numberOfDataSets)

  Separate this so can use for combo chart test

  Parameters:
    `numberOfDataSets` -

### createScatterPlotDataSet

    private ScatterPlotDataSet createScatterPlotDataSet(int numberOfDataSets,
                                                        int numberOfValuesToCreate,
                                                        int xMinValue,
                                                        int xMaxValue,
                                                        int yMinValue,
                                                        int yMaxValue)
                                                 throws ChartDataException

  Generates a random MultiDataSet

  Parameters:
    `numberOfDataSets` -
    `numberOfValuesToCreate` - the number of doubles to generate
    `xMinValue` -
    `xMaxValue` -
    `yMinValue` -
    `yMaxValue` -
  Returns:
    AxisChartDataSet
  Throws:
    `ChartDataException`

### getDataSeries

    ScatterPlotDataSeries getDataSeries()
                                  throws ChartDataException

  Specified by:
    `getDataSeries` in class `ScatterChartTestBase`
  Throws:
    `ChartDataException`

### main

    public static void main(String[] args)
                     throws ChartDataException,
                            PropertyException

  DataSeries getDataSeries() throws ChartDataException { String[] xAxisLabels={"1", "2", "3", "4", "5"}; DataSeries dataSeries=new DataSeries( xAxisLabels, "numbers", "numbers", "Bug #559177" ); AxisChartDataSet axisChartDataSet; double[][] data={{1, 2, 3, 4, 5}, {7, 8, Double.NaN, Double.NaN, Double.NaN}, {Double.NaN, Double.NaN, Double.NaN, Double.NaN, 2}}; String[] legendLabels={"set 1", "set 2", "set 3"}; Paint[] paints={Color.blue, Color.red, Color.green}; axisChartDataSet=new AxisChartDataSet( data, legendLabels, paints, ChartType.LINE, this.getChartTypeProperties( 3 ) ); dataSeries.addIAxisPlotDataSet( axisChartDataSet ); return dataSeries; }

  Throws:
    `ChartDataException`
    `PropertyException`